Subject: RE: bug#15245: Search and replace, but based on text properties (inclulding face properties)

From: Drew Adams <[email-masked]>
Date: Mon, 2 Sep 2013 13:03:59 -0700 (PDT)

> > Now maybe things could also be tweaked to make `query-replace' respect
> > such contexts.  In the case of character-property searching, that would
> 
> It should be easy now to respect such contexts with text
> properties in `query-replace' using `isearch-filter-predicate'.
> I'll post an example shortly.

Excellent.  I was hoping you might say something like that.  Haven't
been following all the changes you've made to Isearch etc. recently, but
I was wondering if something like this wasn't possible now.